org.jboss.jca.core.tx.noopts

## Class TxRegistry

- java.lang.Object
- - org.jboss.jca.core.tx.noopts.TxRegistry

- All Implemented Interfaces:
    java.io.Serializable

      public class TxRegistry
      extends java.lang.Object
      implements java.io.Serializable

  The transaction registry
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TxRegistry()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assignTransaction(TransactionImpl v)` Assign a transaction
    `void` | `commitTransaction()` Commit a transaction
    `TransactionImpl` | `getTransaction()` Get the transaction for the current thread
    `void` | `rollbackTransaction()` Rollback a transaction
    `void` | `startTransaction()` Start a transaction

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TxRegistry

          public TxRegistry()

      Constructor

  - ### Method Detail

    - #### getTransaction

          public TransactionImpl getTransaction()

      Get the transaction for the current thread
      Returns:
        The value

    - #### startTransaction

          public void startTransaction()

      Start a transaction

    - #### commitTransaction

          public void commitTransaction()
                                 throws javax.transaction.SystemException

      Commit a transaction
      Throws:
        `javax.transaction.SystemException` - Thrown if an error occurs

    - #### rollbackTransaction

          public void rollbackTransaction()
                                   throws javax.transaction.SystemException

      Rollback a transaction
      Throws:
        `javax.transaction.SystemException` - Thrown if an error occurs

    - #### assignTransaction

          public void assignTransaction(TransactionImpl v)

      Assign a transaction
      Parameters:
        `v` - The value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)